API ReferenceCharges
List all charges
Retrieves a paginated list of charges for your store.
Retrieves a paginated list of charges for your store.
GET
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
limit?integerNumber of items to return per page.
Range
1 <= value <= 100Default
15page?integerPage number to return.
Range
1 <= valueDefault
1X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Successful response.
application/json- response
data*array<>links*meta*curl -X GET 'https://sell.app/api/v2/charges' \ -H 'X-STORE: launch-lab'{ "data": [ { "id": 1, "url": "https://sell.app/store/charges/select/1?signature=...", "status": "PENDING", "custom_payment_method_id": null } ], "links": { "first": "https://sell.app/api/v2/charges?page=1", "last": "https://sell.app/api/v2/charges?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/charges", "per_page": 15, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/charges?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}